/* CSS NORMALIZATION: https://necolas.github.io/normalize.css/ */
html{line-height:1.15;-webkit-text-size-adjust:100%;}body{margin:0;}main{display:block;}h1{font-size:2em;margin:.67em 0;}hr{box-sizing:content-box;height:0;overflow:visible;}pre{font-family:monospace,monospace;font-size:1em;}a{background-color:transparent;}abbr[title]{border-bottom:none;text-decoration:underline;text-decoration:underline dotted;}b,strong{font-weight:bolder;}code,kbd,samp{font-family:monospace,monospace;font-size:1em;}small{font-size:80%;}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline;}sub{bottom:-.25em;}sup{top:-.5em;}img{border-style:none;}button,input,optgroup,select,textarea{font-family:inherit;font-size:100%;line-height:1.15;margin:0;}button,input{overflow:visible;}button,select{text-transform:none;}button,[type="button"],[type="reset"],[type="submit"]{-webkit-appearance:button;}button::-moz-focus-inner,[type="button"]::-moz-focus-inner,[type="reset"]::-moz-focus-inner,[type="submit"]::-moz-focus-inner{border-style:none;padding:0;}button:-moz-focusring,[type="button"]:-moz-focusring,[type="reset"]:-moz-focusring,[type="submit"]:-moz-focusring{outline:1px dotted ButtonText;}fieldset{padding:.35em .75em .625em;}legend{box-sizing:border-box;color:inherit;display:table;max-width:100%;padding:0;white-space:normal;}progress{vertical-align:baseline;}textarea{overflow:auto;}[type="checkbox"],[type="radio"]{box-sizing:border-box;padding:0;}[type="number"]::-webkit-inner-spin-button,[type="number"]::-webkit-outer-spin-button{height:auto;}[type="search"]{-webkit-appearance:textfield;outline-offset:-2px;}[type="search"]::-webkit-search-decoration{-webkit-appearance:none;}::-webkit-file-upload-button{-webkit-appearance:button;font:inherit;}details{display:block;}summary{display:list-item;}template{display:none;}[hidden]{display:none;}
/* END CSS NORMALIZATION: https://necolas.github.io/normalize.css/ */

/* 
MURIALNIGHT SITE.

Styling Details 
---------------
Signature Colors
* #0d0f12 Eerie Black: 
    Overall background. 
    #signin .text-input background.
* White: 
    Overall text color. 
* #0074ab Star Command Blue:
    .btn-primary background. 
* #00628f Sapphire Blue.
    .btn-primary:hover background.
* #2f343b Gunmetal:
    .btn-secondary background. 
* #40464f Charcoal: 
    .btn-secondary:hover background.
* #555 Davys Grey: 
    #signin .text-input border.
* #ccc Light Gray: 
    #signin .text-input color.
* #2ea0d6 Carolina Blue: 
    .links a color.

Fonts
Roboto (Google Fonts) 
'<link rel="preconnect" href="https://fonts.googleapis.com">
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
<link href="https://fonts.googleapis.com/css2?family=Roboto:wght@300&display=swap" rel="stylesheet">'.

font-family: 'Roboto', sans-serif;
font-weight: 300; Light.
font-style: normal;
------------------------------------------------------------
*/

/* GLOBAL STYLES */
/* ------------------------------------------------------------------------------------------------------------------------ */

* {
    box-sizing: border-box;
    /* outline: 1px solid lightgreen; */
}
body {
    /* Position */
    /* Box Model */
    /* Typography */
    font-family: 'Roboto', sans-serif;
    font-weight: 300; /* Light. */
    /* Visual */
    background: #0d0f12;
    color: white;
    /* Misc */
    overflow: hidden; /* Hide scroll bars. */
}
h1, h2, h3, h4, h5, h6 {
    /* Position */
    /* Box Model */
    /* Typography */
    font-weight: 300; /* Light */
    /* Visual */
    /* Misc */
}
#left {
    /* Position */
    display: flex;
    flex-direction: column;
    flex: 1;
    align-items: center;
    justify-content: center;
    /* Box Model */
    max-width: 100%;
    height: 100vh;
    /* Typography */
    /* Visual */
    /* Misc */
}
#right {
    /* Position */
    flex: 1;
    /* Box Model */
    /* Typography */
    /* Visual */
    /* Misc */
}
#signin-wrapper {
    /* Position */
    display: flex;
    flex-direction: column;
    /* flex: 1; */
    align-items: center;
    justify-content: center;
    /* Box Model */
    width: 100%;
    height: 100vh;
    /* Typography */
    /* Visual */
    /* Misc */
}
#wrapper {
    /* Position */
    display: flex;
    flex-direction: row;
    /* Box Model */
    /* Typography */
    /* Visual */
    /* Misc */
}

/* Utilities */
/* ------------------------------------------------------------------------------------------------------------------------ */

.btn-primary {
    /* Position */
    /* display: block; */
    /* Box Model */
    height: 2.5rem;
    padding: 0.5rem 1rem;
    /* Typography */
    font-stretch: expanded;
    font-weight: 400;
    letter-spacing: 0.035rem;
    /* Visual */
    background: #0074ab;
    border: none;
    border-radius: 2px;
    color: white;
    /* text-decoration: none; */
    /* Misc */
    cursor: pointer;
    transition: all 0.5s;
}
.btn-primary:hover {
    background-color: #00628f;
}
.btn-secondary {
    /* Position */
    /* Box Model */
    height: 2.5rem;
    padding: 0.5rem 1rem;
    /* Typography */
    font-stretch: expanded;
    font-weight: 400;
    letter-spacing: 0.035rem;
    /* Visual */
    background: #2f343b;
    border: none;
    border-radius: 2px;
    color: white;
    /* Misc */
    cursor: pointer;
    transition: all 0.5s;
}
.btn-secondary:hover {
    background-color: #40464f;
}
.spacer {
    flex: 1;
    min-height: 48px;
}

/* Sign-in Section. */
/* ------------------------------------------------------------------------------------------------------------------------ */


.links {
    /* Position */
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    /* Box Model */
    width: 80%;
    margin-bottom: 1.5rem;
    padding: 0 0 1.4rem 0;
    /* Typography */
    /* Visual */
    border-bottom: 1px solid rgba(255, 255, 255, 0.15);
    /* Misc */
    /* outline: 1px solid yellow; */
}
.links a {
    /* Position */
    /* Box Model */
    /* margin-bottom: 1.5rem; */
    /* Typography */
    text-decoration: none;
    /* Visual */
    color: #33BEFF;
    /* Misc */
}
.links a:nth-child(2) {
    margin-top: 1.5rem;
}
#signin {
    /* Position */
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    /* Box Model */
    width: 78%;
    padding-bottom: 1rem;
    /* Typography */
    /* Visual */
    /* Misc */
}
#signin form {
    /* Position */
    /* Box Model */
    width: 77%;
    padding-bottom: 3.5rem;
    /* Typography */
    /* Visual */
    /* Misc */
}
#signin .logo {
    /* Position */
    /* Box Model */
    margin-bottom: 7.9vh;
    /* Typography */
    /* Visual */
    /* Misc */
}
#signin label {
    /* Position */
    display: block;
    /* Box Model */
    /* Typography */
    font-size: 0.98rem;
    font-weight: 500;
    letter-spacing: 0.02rem;
    line-height: 1.55rem;
    /* Visual */
    /* Misc */
}
#signin .btn-primary {
    width: 100%;
}
#signin .btn-secondary {
    /* Position */
    /* Box Model */
    width: 77%;
    /* padding-top: 2rem; */
    /* Typography */
    /* Visual */
    /* border-top: 1px solid #aaa; */
    /* Misc */
}
#signin .text-input {
    /* Position */
    /* Box Model */
    width: 100%;
    margin-bottom: 1.49em;
    padding: 0.5rem 1rem;
    /* Typography */
    line-height: 1.3rem;
    /* Visual */
    background: #0d0f12;
    border: 1px solid #555;
    border-radius: 2px;
    color: #ccc;
    /* Misc */
}

/* Main Footer */
/* ------------------------------------------------------------------------------------------------------------------------ */
#main-footer {
    /* Position */
    /* display: flex; */
    /* flex-direction: column; */
    /* align-items: flex-end; */
    /* justify-content: center; */
    /* flex: 1 1 0%; */
    /* Box Model */
    max-width: 80%;
    /* margin-top: 14em; */
    margin-bottom: 3rem;
    /* Typography */
    font-size: 0.9rem;
    text-align: center;
    /* Visual */
    color: #ccc;
    /* Misc */
}
#main-footer a {
    /* Position */
    /* Box Model */
    padding: 0 1px;
    /* Typography */
    /* Visual */
    color: #ccc;
    /* Misc */
}
#main-footer p {
    /* Position */
    /* Box Model */
    margin: 0.15rem 0;
    padding: 0;
    /* Typography */
    /* Visual */
    /* Misc */
}

/* Showcase */
/* ------------------------------------------------------------------------------------------------------------------------ */

#showcase {
    /* Position */
    display: flex;
    align-items: center;
    justify-content: center;
    /* Box Model */
    height: 100vh;
    /* Typography */
    /* Visual */
    background: #0d0f12 url(../images/login-background.png) center center / cover no-repeat;
    /* Misc */
}
#showcase img {
    /* Position */
    /* Box Model */
    max-width: 100%;
    height: auto;
    /* Typography */
    /* Visual */
    /* Misc */
}

/* Help (bottom left corner) */
/* ------------------------------------------------------------------------------------------------------------------------ */

.help {
    /* Position */
    /* Box Model */
    /* Typography */
    /* Visual */
    /* Misc */
}
.help-btn {
    /* Position */
    position: fixed;
    bottom: 12px;
    left: 17px;
    z-index: 100;
    /* Box Model */
    margin: 0;
    padding: 0;
    /* Typography */
    text-align: center;
    /* Visual */
    background: transparent;
    border: none;
    cursor: pointer;
    /* Misc */
    overflow: visible;
}
.help-logo {
    /* Position */
    display: block;
    /* Box Model */
    width: 24px;
    height: 24px;
    /* Typography */
    line-height: 1em;
    /* Visual */
    opacity: .4;
    /* Misc */
}

/* Media Queries */
/* ------------------------------------------------------------------------------------------------------------------------ */

@media(min-width: 1200px) {
    #left {
        /* Position */
        flex: 4;
        /* Box Model */
        /* Typography */
        /* Visual */
        /* Misc */
    }
    #right {
        /* Position */
        flex: 6;
        /* Box Model */
        /* Typography */
        /* Visual */
        /* Misc */
    }
    #showcase img {
        /* Position */
        /* Box Model */
        max-width: 95%;
        /* Typography */
        /* Visual */
        /* Misc */
    }
}
@media(max-width: 768px) {
    #right {
        /* Position */
        display: none;
        /* Box Model */
        /* Typography */
        /* Visual */
        /* Misc */
    }
}
